'use strict';

var path = require('path');

var _require = require('../utils'),
    ifAnyDep = _require.ifAnyDep,
    fromRoot = _require.fromRoot;

var here = function here(p) {
  return path.join(__dirname, p);
};

var ignores = ['/node_modules/', '/fixtures/', '/__tests__/helpers/', '__mocks__'];

module.exports = {
  roots: [fromRoot('src')],
  testEnvironment: ifAnyDep(['webpack', 'rollup', 'react'], 'jsdom', 'node'),
  collectCoverageFrom: ['src/**/*.js'],
  testMatch: ['**/__tests__/**/*.js'],
  testPathIgnorePatterns: ignores,
  coveragePathIgnorePatterns: ignores,
  transform: {
    '^.+\\.js$': here('./babel-transform')
  },
  transformIgnorePatterns: ['[/\\\\]node_modules[/\\\\].+\\.(js|jsx)$'],
  coverageThreshold: {
    global: {
      branches: 100,
      functions: 100,
      lines: 100,
      statements: 100
    }
  }
};